Skip to content
Start here

List Gateways

GET/accounts/{account_id}/ai-gateway/gateways

Lists all AI Gateway evaluator types configured for the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway WriteAI Gateway Read
Path ParametersExpand Collapse
account_id: string
Query ParametersExpand Collapse
page: optional number
minimum1
per_page: optional number
maximum100
minimum1
ReturnsExpand Collapse
result: array of { id, cache_invalidate_on_update, cache_ttl, 21 more }
id: string

gateway id

maxLength64
minLength1
cache_invalidate_on_update: boolean
cache_ttl: number
minimum0
collect_logs: boolean
created_at: string
formatdate-time
modified_at: string
formatdate-time
rate_limiting_interval: number
minimum0
rate_limiting_limit: number
minimum0
authentication: optional boolean
dlp: optional { action, enabled, profiles } or { enabled, policies }
One of the following:
{ action, enabled, profiles }
action: "BLOCK" or "FLAG"
One of the following:
"BLOCK"
"FLAG"
enabled: boolean
profiles: array of string
{ enabled, policies }
enabled: boolean
policies: array of { id, action, check, 2 more }
id: string
action: "FLAG" or "BLOCK"
One of the following:
"FLAG"
"BLOCK"
check: array of "REQUEST" or "RESPONSE"
One of the following:
"REQUEST"
"RESPONSE"
enabled: boolean
profiles: array of string
is_default: optional boolean
log_management: optional number
maximum10000000
minimum10000
log_management_strategy: optional "STOP_INSERTING" or "DELETE_OLDEST"
One of the following:
"STOP_INSERTING"
"DELETE_OLDEST"
logpush: optional boolean
logpush_public_key: optional string
maxLength1024
minLength16
otel: optional array of { authorization, headers, url, content_type }
authorization: string
headers: map[string]
url: string
content_type: optional "json" or "protobuf"
One of the following:
"json"
"protobuf"
rate_limiting_technique: optional "fixed" or "sliding"
One of the following:
"fixed"
"sliding"
retry_backoff: optional "constant" or "linear" or "exponential"

Backoff strategy for retry delays

One of the following:
"constant"
"linear"
"exponential"
retry_delay: optional number

Delay between retry attempts in milliseconds (0-5000)

maximum5000
minimum0
retry_max_attempts: optional number

Maximum number of retry attempts for failed requests (1-5)

maximum5
minimum1
store_id: optional string
stripe: optional { authorization, usage_events }
authorization: string
usage_events: array of { payload }
payload: string
workers_ai_billing_mode: optional "postpaid"

Controls how Workers AI inference calls routed through this gateway are billed. Only ‘postpaid’ is currently supported.

zdr: optional boolean
success: boolean

List Gateways

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai-gateway/gateways \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": [
    {
      "id": "my-gateway",
      "cache_invalidate_on_update": true,
      "cache_ttl": 0,
      "collect_logs": true,
      "created_at": "2019-12-27T18:11:19.117Z",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "rate_limiting_interval": 0,
      "rate_limiting_limit": 0,
      "authentication": true,
      "dlp": {
        "action": "BLOCK",
        "enabled": true,
        "profiles": [
          "string"
        ]
      },
      "is_default": true,
      "log_management": 10000,
      "log_management_strategy": "STOP_INSERTING",
      "logpush": true,
      "logpush_public_key": "xxxxxxxxxxxxxxxx",
      "otel": [
        {
          "authorization": "authorization",
          "headers": {
            "foo": "string"
          },
          "url": "url",
          "content_type": "json"
        }
      ],
      "rate_limiting_technique": "fixed",
      "retry_backoff": "constant",
      "retry_delay": 0,
      "retry_max_attempts": 1,
      "store_id": "store_id",
      "stripe": {
        "authorization": "authorization",
        "usage_events": [
          {
            "payload": "payload"
          }
        ]
      },
      "workers_ai_billing_mode": "postpaid",
      "zdr": true
    }
  ],
  "success": true
}
Returns Examples
{
  "result": [
    {
      "id": "my-gateway",
      "cache_invalidate_on_update": true,
      "cache_ttl": 0,
      "collect_logs": true,
      "created_at": "2019-12-27T18:11:19.117Z",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "rate_limiting_interval": 0,
      "rate_limiting_limit": 0,
      "authentication": true,
      "dlp": {
        "action": "BLOCK",
        "enabled": true,
        "profiles": [
          "string"
        ]
      },
      "is_default": true,
      "log_management": 10000,
      "log_management_strategy": "STOP_INSERTING",
      "logpush": true,
      "logpush_public_key": "xxxxxxxxxxxxxxxx",
      "otel": [
        {
          "authorization": "authorization",
          "headers": {
            "foo": "string"
          },
          "url": "url",
          "content_type": "json"
        }
      ],
      "rate_limiting_technique": "fixed",
      "retry_backoff": "constant",
      "retry_delay": 0,
      "retry_max_attempts": 1,
      "store_id": "store_id",
      "stripe": {
        "authorization": "authorization",
        "usage_events": [
          {
            "payload": "payload"
          }
        ]
      },
      "workers_ai_billing_mode": "postpaid",
      "zdr": true
    }
  ],
  "success": true
}